<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZOrderListExpViewBase from './ibizorder-list-exp-view-base.vue';

import view_listexpbar from '@widgets/ibizorder/list-exp-viewlistexpbar-listexpbar/list-exp-viewlistexpbar-listexpbar.vue';
@Component({
    components: {
        view_listexpbar, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZOrderListExpView extends IBIZOrderListExpViewBase {

}
</script>